import numpy as np

def l2_norm_squared(p):
    return np.sum(np.square(p))

def l2_dist_squared(p,q):
    return np.sum(np.square(p-q))  

def l2_dist(p,q):
    return  l2_dist_squared(p,q)**0.5

def max_l2_dist_squared(X,Y):
    k = len(X)
    val = 0
    for i in range(k):
        val = max(val, l2_dist_squared(X[i],Y[i]))
    return val

